#ifndef CASLOTSELECTIONDIALOG_H
#define CASLOTSELECTIONDIALOG_H

#include <ClanLib/core.h>
#include "cadialog.h"

/** Dialog which shows the slots for saving or loading a game.
    @author Andrew Mustun
*/
class CASlotSelectionDialog : public CADialog  {
public:
    CASlotSelectionDialog( const char* title );
    ~CASlotSelectionDialog();

    virtual void buildScreen();

    virtual void on_button_release( CL_InputDevice *device, const CL_Key &key );

private:
    //! Cursor (selected slot)

    int cursor;
};

#endif
